## For Users

#### [Getting Started](getting-started/start.md)
This guide covers everything you need to get started using Metabase! You'll learn the basics of installing it for the first time on a local machine, setting it up, and asking your first question.

#### [Users Guide](users-guide/start.md)
This is the core guide for how users can ask questions and share answers using Metabase. You'll learn in depth about how questions are expressed, how to chart answers, as well as how to share questions and create dashboards.

## For Administrators

#### [Installation Guide](installation-guide/start.md)
This guide contains more detailed information about how to install Metabase for production use. It covers topics like SSL termination, deploying via Docker Containers vs Jars, as well as the tradeoffs involved.  

#### [Administration Guide](administration-guide/start.md)
This guide is targetted towards power users and those who will be setting up and maintaining a Metabase installation. You'll learn how to set the instance up, common settings, how to manage user accounts and how to add databases. You'll also learn how to troubleshoot common problems with both Metabase as well as underlying databases or data warehouses it uses.


## For Developers

#### [Developers Guide](developers-guide.md)
This guide covers how to contribute back to Metabase. It includes setting up a development environment, running tests as well as the contribution and product process Metabase follows.

#### [API Reference](uberdoc.html)
This is a comprehensive reference for all server functions in our codebase.


## Reference

#### [Anonymous Information Collection Reference](information-collection.md)
This describes the anonymous usage information we collect (if you opt-in) as well as why we collect it and the ways we use it. 