## Step 4: Sharing answers with others

### Saving questions

Sometimes you’ll find yourself asking certain questions again and again, whether it’s running regular reports, looking up something about an important segment of users, or just answering the same question for other people in your company. To keep from repeating the same set of steps each time you want to ask the same question, you can save your questions to  use later.

To do this, click on the **SAVE** button in the top-right of the screen.

![savebutton](images/SaveButton.png)

Metabase will take a stab at giving your question a meaningful name, but you can (and should) use your own naming scheme that helps you and others find your questions later on, after amnesia has sunk in.

![Save Question Dialog](images/SaveQuestionDialog.png)

Once you’ve saved your question, you can either go back to the home page, add your saved question to a dashboard, or keep asking questions. Let’s click **Add to a dashboard** and give that a try.

![Saved Question](images/SavedQuestion.png)

### Creating a dashboard

Unless you went off and did your own thing, you shouldn’t have any dashboards yet so you’ll see a dialog that prompts you to create a new one and give it a name and description. Name it anything you’d like. We’ll call ours “My First Dashboard.”

![Create Dashboard](images/CreateDashboard.png)

Dashboards are great when you have a set of questions and answers that you want to view together. Your saved questions will be displayed as cards on the dashboard, which you can resize and move around to your heart’s content.

So, after you click the button to create your dashboard, you should see your fancy saved question as a little card. Ain’t he cute?

![Saved Dashboard](images/SavedDashboard.png)

If you’re feeling up to it, you can click the edit button in the top-right of the screen (the one that looks like a pencil), and that’ll let you move and resize your saved question so you can get it looking just how you want it. Just click **Save** in the top-right when you’re done. We’ll make ours a bit wider to let those data points breathe.

![Resized Chart](images/ResizedChart.png)

### Sharing answers directly

One other thing: once you’ve asked a question or saved a dashboard, the URL in your browser will link directly to that question or dashboard. That means you can copy and paste that URL into an email or chat and let other people see what you’ve found. This will only work if you installed Metabase on a shared server, and will require creating Metabase accounts for the people you want to share with.

![shareableurl](./images/ShareableURL.png)

## That’s it!
You’ve done really well. You now have a dashboard with your question that you can share! At this point you know enough to be dangerous. If you haven’t already, this would be a good time to [connect your own database](../users-guide/02-connecting-metabase.md) to Metabase and start asking some real questions!

Want to learn more? Is your thirst for knowledge insatiable? Check out our [User Guide](../users-guide/start.md).
